package com.tuigai.tuigai_tongcheng_api;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableScheduling
@MapperScan({"com.tuigai.tuigai_tongcheng_api.mapper"})
@EnableTransactionManagement
@Slf4j
@EnableAsync
public class TuigaiTongchengApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(TuigaiTongchengApiApplication.class, args);
    }

}
