package com.tuigai.tuigai_tongcheng_api.controller;

import cn.hutool.core.codec.Base64;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.tuigai.tuigai_tongcheng_api.dto.RestMessage;
import com.tuigai.tuigai_tongcheng_api.service.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@RestController
@RequestMapping("/order")
@Slf4j
public class OrderController {

    @Autowired
    private OrderService orderService;


    @PostMapping("/saveChangeOrder")
    public RestMessage saveChangeOrder(@RequestBody JSONObject jsonObject) {
        String decodeStr = Base64.decodeStr(jsonObject.getString("data"));
        log.info("改签订单：" + decodeStr);
        //orderService.saveChangeOrder(decodeStr);
        return RestMessage.result("ok");
    }


    @PostMapping("/saveRefundOrder")
    public RestMessage saveRefundOrder(@RequestBody JSONObject jsonObject) throws IOException {
        String decodeStr = Base64.decodeStr(jsonObject.getString("data"));
        log.info("退票订单：" + decodeStr);

        orderService.saveRefundOrder(decodeStr);
        return RestMessage.result("ok");
    }

}
