package com.tuigai.tuigai_tongcheng_api.model;



import com.tuigai.tuigai_tongcheng_api.mybatis.SensitiveData;
import com.tuigai.tuigai_tongcheng_api.mybatis.SensitiveField;
import lombok.Data;

import java.io.Serializable;

@Data
@SensitiveData
public class RefoundPasenger implements Serializable {
    public Integer id;
    public String outId;//外部Id
    public String orderId;//
    public String passengerName;//
    @SensitiveField
    public String certificateNo;//证件号码
    public String certificateType;//证件类型
    public String passengerId;//美团侧⻋票id，出票回调是传递回来
    public Float price;//⻋票价格
    public String seatType;//坐席类型，定义参照附录
    public String ticketType;//⻋票类型，成⼈票/⼉童票  API接口需要加字段
    public Float returnMoney;//退回金额
    public String ticketNo;//   12306对应票号
    public String returnSuccess;//true,//失败也要返回字段
    public String chexiangNo;//车厢
    public String zuoweiNo;//座位
    public Float refoundfee12306;//12306退票费
    public String paySequenceNo;//流水号
    public Integer isReturn;
    public Integer isCallBack;
    public String returnTime;//退票处理时间
    public Float vip_errand_return_price;//淘宝用的跑腿费
    public Integer segmentId;
    public String stations;//行程信息

    /*************保险*****************/
    private String IsBX;//是否购买保险 0  否 1 是     N
    private String InsPrice;//保险单价金额，当 IsBx为 1 时使用   N
    private String InsCount;//保险份数，当 IsBx 为 1 时使用  N
    private String InsId;//保险ID  N
    private String PsgName;//乘客姓名

    private String psgNo;//乘客序号

    public String returnFree;//退票手续费

    public String tel;//电话
    public String sex;//性别

    public String birthDate;
    public String validDateEnd;
    public String countryCode;
    public String validDateStart;
    public String trainId;
    public String offlineRefundType;
    public String etxParam;//额外参数
}
