package com.tuigai.tuigai_tongcheng_api.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 退票流水
 * 后期从支付宝自动获取
 */

@Data
public class TrainReturnPayNo implements Serializable {
    public Integer id;
    public String payNo;
    public String creatTime;
    public Float returnPrice;
    public String outId;//外键关联ID
    public String orderId;
    public String accountName;
    public String pubDate;
    public String account_log_id;


    public TrainReturnPayNo(){}
    public TrainReturnPayNo(String payNo, String creatTime, float returnPrice, String outId, String orderId, String account_log_id){
        this.payNo = payNo;
        this.creatTime = creatTime;
        this.returnPrice = returnPrice;
        this.outId = outId;
        this.orderId = orderId;
        this.account_log_id = account_log_id;
    }
}
