package com.tuigai.tuigai_tongcheng_api.service;



import com.tuigai.tuigai_tongcheng_api.mapper.RefoundSegmentMapper;
import com.tuigai.tuigai_tongcheng_api.model.RefoundSegment;
import com.tuigai.tuigai_tongcheng_api.utils.Utils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName RefoundSegmentService
 * @Description TODO
 * @Author Tx
 * @Date 2023/5/24 16:00
 * @Version 1.0
 */
@Slf4j
@Service
public class RefoundSegmentServiceImpl {

    @Autowired
    private RefoundSegmentMapper refoundSegmentMapper;



    public List<RefoundSegment> getRefoundSegmentByOutId(String outId) {
        if(Utils.isEmpty(outId)) return null;
        return refoundSegmentMapper.getRefoundSegmentByoutId(outId);
    }




    public int addRefoundSegment(List<RefoundSegment> refoundSegmentList) {
        int i=0;
        for(RefoundSegment refoundSegment :refoundSegmentList){
            refoundSegmentMapper.addRefoundSegment(refoundSegment);
            i++;
        }
        return i;
    }
}
