package com.tuigai.tuigai_tongcheng_api.utils;

/**
 * Created by longtc on 2019/12/11.
 */
public class PageHelper {

    private static final int DEFAULT_PAGE_SIZE = 10;

    public static int getSize() {
        return DEFAULT_PAGE_SIZE;
    }

    public static int getPageStart(int page) {
        return getPageStart(page, DEFAULT_PAGE_SIZE);
    }

    public static int getPageStart(int page, int size) {
        int start = 0;
        if (page >= 1) {
            start = (page - 1) * size;
        }
        return start;
    }
}
