package com.tuigai.tuigai_tongcheng_api.enums;

/**
 * 订单来源枚举
 */
public enum OrderSourceEnum {
    TAOBAO("taobao", "飞猪"),
    MEITUAN("meituan", "美团"),
    SHY("SHY", "胜意"),
    SHX("SHX", "胜意"),
    YSL("YSL", "易商旅"),
    YGC("YGC", "灿烂阳光"),//test
    SHG("SHG", "灿烂阳光"),//pro
    TCTG("TCTG", "同程"),//pro
    SHA("SHA", "飞猪商旅");//pro

    private final String key;

    private final String desc;

    OrderSourceEnum(String key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public static String get(String key) {
        for (OrderSourceEnum orderSource : OrderSourceEnum.values()) {
            if (orderSource.key.equals(key)) {
                return orderSource.desc;
            }
        }
        return "";
    }

    public String getDesc() {
        return this.desc;
    }

    public String getKey() {
        return this.key;
    }
}
