package com.tuigai.tuigai_tongcheng_api.utils;

import org.apache.commons.lang3.RandomStringUtils;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * @ClassName OrderNoUtil
 * @Description 订单号生成
 * @Author Tx
 * @Date 2023/5/24 13:11
 * @Version 1.0
 */
public class OrderNoUtil {



    public static final String FORMATTER_MM_DD_HH_MM_SS = "MMddHHmmss";

    public static String dateFormatString(String bizId){
        //时间（精确到毫秒）
        DateTimeFormatter ofPattern = DateTimeFormatter.ofPattern(FORMATTER_MM_DD_HH_MM_SS);

        String localDate = LocalDateTime.now().format(ofPattern);
        //4位随机数
        String randomNumeric = RandomStringUtils.randomNumeric(4);
        System.out.println(randomNumeric);
//        System.out.println(bizId+randomNumeric);

        return bizId+localDate+randomNumeric;
    }

    public static void main(String[] args) {
        String s = dateFormatString("111");
        System.out.println(s);
    }
}
